import { defineAsyncComponent } from 'vue'
import { createRouter, createWebHashHistory } from 'vue-router'

export const routers = createRouter({
  history: createWebHashHistory(),
  routes: [
    {
      path: '/',
      name: '登录页',
      component: defineAsyncComponent(() => import('../views/login.vue'))
    },
    {
      path: '/index',
      name: '首页',
      component: defineAsyncComponent(() => import('../views/index.vue')),
      children: [
        {
          path: '/404',
          name: '页面不存在',
          component: defineAsyncComponent(() => import('../views/error/404.vue'))
        },
        {
          path: '/home',
          name: '主页',
          component: defineAsyncComponent(() => import('../views/home/index.vue'))
        },
        {
          path: '/documentManage/projectAnalysisTool',
          name: '项目承接查验图表分析工具',
          component: defineAsyncComponent(() => import('../views/documentManage/projectAnalysisTool.vue'))
        },
        {
          path: '/documentManage/projectInspectionReport',
          name: '物业保障项目承接查验报告',
          component: defineAsyncComponent(() => import('../views/documentManage/projectInspectionReport.vue'))
        },
        {
          path: '/documentManage/problemRectificationList',
          name: '专业查验问题整改销项清单',
          component: defineAsyncComponent(() => import('../views/documentManage/problemRectificationList.vue'))
        }
      ]
    }
  ]
})
