import {
  getCurrencyDictionary
} from 'api/dictionary'
import {
  ElNotification
} from 'element-plus'

const viewCurrency = {
  data () {
    return {
      //  公用
      buttonLoading: false
    }
  },
  mounted () {
    // this.getDictionary()
  },
  methods: {
    //  获取字典集
    getDictionary () {
      this.dictionaryList.forEach(item => {
        if (!this.$store.state[item + 'List'].length) {
          getCurrencyDictionary({
            dictCode: item + 'Hosp'
          }).then(res => {
            if (res.status == 200) {
              this.$store.state[item + 'List'] = res.data
            } else {
              ElNotification({
                title: '获取字典失败',
                message: res.message,
                type: 'error'
              })
            }
          })
        }
      })
    },
    //  重置过滤表单
    resetFilterForm () {
      this.$refs.filterForm.resetFields()
    },
    //  获取字典编码对应文字
    getDictionaryLabel (code, listName) {
      const dictionary = this.$store.state[listName].find(item => item.code == code)
      if (dictionary) {
        return dictionary.label
      } else {
        return '-'
      }
    }
  }
}

export default viewCurrency
